[v-cloak] {
    display: none;
}

.container .container_header {
    color: rgb(153, 153, 153);
    margin: 20px auto;
}

.de_topic_box {
    position: relative;
    height: 140px;
    box-sizing: border-box;
    background: #fff;
    margin: 20px 30px;
    border-bottom: var(--light-gray2) 1px solid;
}

/* user信息 */
.de_topic_box .user_info {
    z-index: 1;
    padding-top: 10px;
}

.de_topic_box .user_info a {
    display: inline-block;
    width: 100%;
    height: 100%;
    text-align: center;
    font-size: 14px;
    color: #333;
}

.de_topic_box .user_info img {
    width: 40px;
    height: 40px;
    overflow: hidden;
    border-radius: 18px;
    display: block;
    margin: auto;
}

.de_topic_box .user_info .name {
    margin: auto;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    font-size: 12px;
    width: 100%;
    text-align: center;
    color: #666;
    margin-top: 1em;
    letter-spacing: .1em;
}

/* 2018本科毕业设计作品 */
.de_topic_box .topic_info {
    bottom: 0;
    padding: 0 15px;
}

.topic_info .created_date {
    font-size: 12px;
    margin: 8px 0 0;
    color: var(--mid-gray);
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.topic_info .topic_title {
    font-size: 16px;
    font-weight: bold;
    color: var(--title-text);
    overflow: hidden;
    margin: 0.2em 0 8px;
    line-height: 1.5em;
    max-height: 3em;

}

.topic_info .course_major {
    font-size: 14px;
    color: var(--mid-gray);
    white-space: nowrap;
    overflow: hidden;
}

.topic_info .de_stats_tags {
    font-size: 0;
    white-space: nowrap;
    text-align: left;
    height: 30px;
    right: 0;
    display: flex;
    align-items: center;
}

.de_stats_tags>li {
    color: var(--theme-green);
    display: flex;
    align-items: center;
    height: 30px;
    flex: auto;
    font-size: 12px;
    line-height: 30px;
}

.de_stats_tags>li>i {
    margin-right: 3px;
}

/* 中间作品详情 */
.de_topic_box .project_info {
    font-size: 0;
    overflow: hidden;
    white-space: nowrap;
}

.project_info li {
    display: inline-block;
    padding: 10px;
    margin-right: -10px;
}

.project_info li img {
    height: 120px;
    width: 120px;
}

/* 工具栏 */
.de_topic_box .mini_toolbar {

    border-radius: 20px;
    width: 60px;
    height: 130px;
    display: flex;
    flex-direction: column;
    text-align: center;
    overflow: hidden;
    z-index: 1;
    margin-left: 10px;
    justify-content: space-evenly;
}

.de_topic_box .topic_action {
    background: repeating-linear-gradient(45deg, #b1dddd, #b1dddd 10px, #beeeee 10px, #beeeee 20px);

}

.de_topic_box .topic_closed {
    background: repeating-linear-gradient(45deg, #ddd, #ddd 10px, #eee 10px, #eee 20px);

}

.topic_description:before {
    content: "“";
    color: rgba(0, 0, 0, 0.4);
    position: absolute;
    top: 0;
    left: 0;
    font-size: 40px;
}

.workFolder .topic_description {
    font-size: 20px;
    /* border-left: var(--light-gray) 1px dotted; */
    padding: 0 1em;
    color: var(--mid-gray);
    position: relative;
    line-height: 1.5em;
    max-height: 6em;
    overflow: hidden;
}

.de_project_grid {
    text-align: left;
    margin: 20px 0;
    padding: 0 2%;
}

.de_card_m {
    min-height: 180px;
    background: #fff;
    margin: 15px;
    box-shadow: 0px 2px 24px rgb(0 0 0 / 8%);
    display: flex;
}

.de_card_m .left {
    flex: 1;
    position: relative;
}

.de_card_m .right {
    flex: 1;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.de_card_m .user_info a {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding: 10px 20px;

}

.de_card_m .user_info .name {
    padding-left: .5em;
    max-width: 8em;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    font-size: 14px;
    font-weight: bold;
    text-align: left;
    color: var(--mid-gray);
}

.de_card_m .user_info .date {
    position: absolute;
    top: 24px;
    left: 50px;
    right: 0;
    text-align: left;
    margin: 0;
    font-size: 12px;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    display: inline-block;
    color: #ccc;
}

.de_card_m .user_info .photo {
    width: 40px;
    height: 40px;
    overflow: hidden;
    border-radius: 18px;
    display: block;
}

.de_card_m .project_title {
    margin: 10px 20px;
    font-size: 18px;
    line-height: 1.5em;
    height: 3em;
    color: var(--title-text);
    overflow: hidden;
}

.de_card_m .project_info {
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    font-size: 0;
}

.de_card_m .project_info .thumb {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.de_card_m .project_info .workScore {
    font-size: 14px;
    font-weight: bold;
    position: absolute;
    width: 5em;
    line-height: 2em;
    left: 10px;
    top: 10px;
    overflow: hidden;
    text-align: center;
    color: #fff;
    border-radius: 15px;
    background: var(--theme-red);
    box-shadow: 0px 2px 24px rgb(0 0 0 / 10%);
    border: #fff 2px solid;
    box-sizing: border-box;
}

/*作品卡片勋章*/
.de_stats_tags_p {
    padding: 10px 20px;
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.de_stats_tags_p .badges,
.de_stats_tags_p .likes,
.de_stats_tags_p .comments {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    margin-right: 1em;
    color: var(--mid-gray);
}


.de_stats_tags_p span {
    font-size: 16px;
    max-width: 2em;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    line-height: 1em;
    padding-left: .3em;
}

/* 搜索弹出层 */
.search_panel {
    display: flex;
    flex-direction: row;
    width: 100%;
    height: auto;
    min-height: 400px;
}

.search_panel .search_input_result {
    width: 50%;
    height: auto;
    ;
}

.search_panel .search_type {
    width: 50%;
}

.search_panel .search_type h3 {
    font-size: 1em;
    margin-top: 20px;
    margin-left: 30px;
}

.search_panel .search_type .directory_list {
    font-size: 1em;
    margin-top: 20px;
    margin-left: 30px;
    white-space: normal;
}

.ivu-table th {
    display: none;
}

.ivu-table td,
.ivu-table th {
    height: 48px;
}

/* 登陆弹出层 */
.login_panel {
    display: flex;
    flex-direction: row;
    /* 弹出层  column*/
    width: 100%;
    height: auto;
    min-height: 400px;
}

.login_panel .login_info {
    width: 50%;
    /* 弹出层  90%*/
    height: auto;
}

.login_panel .register {
    width: 50%;
    /* 弹出层  90%*/
    padding-left: 20px;
    /* 弹出层  0px*/
    border-left: #ccc 1px dotted;
    /* border-top: #ccc 1px dotted;*/
    margin-left: 20px;
}

.login_panel .register h3 {
    font-weight: normal;
    font-size: 16px;
    color: #09bc72;
    margin: 15px 0;
}

.ivu-modal-header p,
.ivu-modal-header-inner {
    font-size: 18px;
    color: #09bc72;
}

/* 忘记密码弹出层 */
.recoverPwd_panel {
    text-align: center;
}

@media screen and (max-width: 768px) {
    /* 当屏幕尺寸小于1200px时，应用下面的CSS样式 */

    .de_stats_tags_p {
        padding: 10px 10px;
    }

    .de_topic_box {
        margin: 20px 2% 0 2%;
    }

    .topic_description {
        margin: 0 2% 20px 2%;
    }

    .de_stats_tags>li {
        width: 27%;
    }

    .de_stats_tags_p span {
        top: 12px;
        /* 小屏幕 12px */
        font-size: 14px;
        /* 小屏幕 14px */
        margin-left: 0px;
        /* 小屏幕 0px */
    }

    .de_card_m {
        margin: 10px auto;
    }

    /* 搜索弹出层 */
    .search_panel {
        display: flex;
        /* 弹出层  */
        flex-direction: column;
        /* 弹出层  column*/
    }

    .search_panel .search_input_result {
        width: 100%;
        /* 弹出层  100%*/
        height: auto;
        /* 弹出层  50%*/
    }

    .search_panel .search_type {
        width: 100%;
        /* 弹出层  100%*/
    }

    .ivu-table td,
    .ivu-table th {
        height: 36px;
    }

    /* 登陆弹出层 */
    .login_panel {
        flex-direction: column;
        /* 弹出层  column*/
    }

    .login_panel .login_info {
        width: 90%;
        /* 弹出层  90%*/
    }

    .login_panel .register {
        width: 90%;
        /* 弹出层  90%*/
        padding-left: 0px;
        /* 弹出层  0px*/
        border-left: #ccc 0px dotted;
        /* border-top: #ccc 1px dotted;*/
        border-top: #ccc 1px dotted;
    }
}

@media screen and (min-width: 768px) and (max-width: 992px) {
    /* 当屏幕尺寸小于1200px时，应用下面的CSS样式 */

    .de_stats_tags_p {
        padding: 10px 20px;
    }

    .de_topic_box {
        margin: 20px 20px 0 20px;
    }

    .topic_description {
        margin: 0 20px 20px 20px;
    }

    .de_stats_tags>li {
        width: 27%;
    }

    .de_stats_tags_p span {
        top: 12px;
        /* 小屏幕 12px */
        font-size: 14px;
        /* 小屏幕 14px */
        margin-left: 0px;
        /* 小屏幕 0px */
    }
}

@media screen and (min-width: 992px) and (max-width: 1200px) {
    /* 当屏幕尺寸小于1200px时，应用下面的CSS样式 */

    .de_stats_tags_p {
        padding: 10px 20px;
    }

    .de_topic_box {
        margin: 20px 20px 0 20px;
    }

    .topic_description {
        margin: 0 20px 20px 20px;
    }

    .de_stats_tags>li {
        width: 27%;
    }

    .de_stats_tags_p span {
        top: 12px;
        /* 小屏幕 12px */
        font-size: 14px;
        /* 小屏幕 14px */
        margin-left: 0px;
        /* 小屏幕 0px */
    }
}

.filtrate_panel {
    margin: 0 30px;
    padding: 20px;
    height: 60px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.button_panel a {
    color: #67676A;
    font-size: 14px;
    padding: 5px 10px;
    margin-right: 20px;
}

.button_panel a.active {
    color: #1CBE78;
    font-size: 14px;
    font-weight: bold;
    border-bottom: solid 4px #1CBE78;
}